Download it now!
Bug 97950 - FILEOPEN RTF layout problem with extra pages
Summary: FILEOPEN RTF layout problem with extra pages
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
5.1.0.3 release
Hardware: All All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard:
Keywords: filter:rtf
Depends on:
Blocks: RTF RTF-Opening
  Show dependency treegraph
 
Reported: 2016-02-17 21:11 UTC by Óvári
Modified: 2019-01-27 03:46 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Óvári 2016-02-17 21:11:04 UTC
Attached government RTF document from bug 97895 does not display correctly:
Births, Deaths and Marriages Registration Act 1997—Form 201-BRS — Birth registration statement
http://www.legislation.act.gov.au/af/2014-46/default.asp

Lots of blank pages at the end of the document making it a 27 page document; should be 4 pages in total.

Thank you

Linux Mint 17.3 64-bit Cinnamon
LO Version: 5.1.0.3
Build ID: 5e3e00a007d9b3b6efb6797a8b8e57b51ab1f737
CPU Threads: 2; OS Version: Linux 3.19; UI Render: default
Comment 1 Buovjaga 2016-02-18 11:03:23 UTC
Confirmed.

Win 7 Pro 64-bit Version: 5.2.0.0.alpha0+
Build ID: a6f876d45bd4e41a7143594a6cb11b6893a0f620
CPU Threads: 4; OS Version: Windows 6.1; UI Render: default; 
TinderBox: Win-x86@39, Branch:master, Time: 2016-02-11_00:07:38
Locale: fi-FI (fi_FI)
Comment 2 Óvári 2016-05-07 22:09:07 UTC
Strange behaviour.

1. Open document and it has 10 pages.
2. Close document.
3. Open document and it now has the correct number of 4 pages.

Windows 8.1 64-bit
Version: 5.2.0.0.alpha1+
Build ID: e76d458422b0f0f713cc17bf47ca94c33ac570a7
CPU Threads: 2; OS Version: Windows 6.29; UI Render: default; 
TinderBox: Win-x86@39, Branch:master, Time: 2016-05-03_06:32:27
Comment 3 Óvári 2016-05-08 02:33:45 UTC
1. Open document and it has 27 pages.
2. Close document.
3. Open document and it now has the 5 pages (the correct number is 4 pages).

The behaviour seems to be operating system dependent (see comment 2).

Linux Mint 17.3 64-bit Cinnamon
LO Version: 5.2.0.0.alpha1+
Build ID: 52871b360c73efd59bfbc811b8b89a02b6375b29
CPU Threads: 2; OS Version: Linux 3.19; UI Render: default; 
TinderBox: Linux-rpm_deb-x86@71-TDF, Branch:master, Time: 2016-05-07_00:52:43
Comment 4 QA Administrators 2017-05-22 13:38:42 UTC Comment hidden (obsolete)
Comment 5 Óvári 2017-05-23 10:37:14 UTC
(In reply to QA Administrators from comment #4)
Linux Mint 18.1
LibreOffice 5.3.3.2
Has 5 pages not 4. Not fixed
Comment 6 Xisco Faulí 2018-01-26 16:45:09 UTC
The document has 14 pages now

Version: 6.1.0.0.alpha0+
Build ID: 5cb225b0b3dbb55fd44899b1fb16bdcfeb866849
CPU threads: 4; OS: Linux 4.10; UI render: default; VCL: gtk3; 
Locale: ca-ES (ca_ES.UTF-8); Calc: group threaded
Comment 7 QA Administrators 2019-01-27 03:46:36 UTC
** Please read this message in its entirety before responding **

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present with the latest version of LibreOffice from https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the information from Help - About LibreOffice.
 
If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave a comment that includes the information from Help - About LibreOffice.

Please DO NOT

Update the version field
Reply via email (please reply directly on the bug tracker)
Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not 
appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so:
1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3) from http://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug
3. Leave a comment with your results.
4a. If the bug was present with 3.3 - set version to 'inherited from OOo';
4b. If the bug was not present in 3.3 - add 'regression' to keyword


Feel free to come ask questions or to say hello in our QA chat: https://kiwiirc.com/nextclient/irc.freenode.net/#libreoffice-qa

Thank you for helping us make LibreOffice even better for everyone!

Warm Regards,
QA Team

MassPing-UntouchedBug